Package com.emc.d2fs.services.x3config_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.x3config_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.x3config_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.x3config_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FetchSpaceXmlContentRequest`
  `createFetchSpaceXmlContentRequest()`
  Create an instance of `FetchSpaceXmlContentRequest`
  `FetchSpaceXmlContentResponse`
  `createFetchSpaceXmlContentResponse()`
  Create an instance of `FetchSpaceXmlContentResponse`
  `GetAvailableSkinsRequest`
  `createGetAvailableSkinsRequest()`
  Create an instance of `GetAvailableSkinsRequest`
  `GetAvailableSkinsResponse`
  `createGetAvailableSkinsResponse()`
  Create an instance of `GetAvailableSkinsResponse`
  `GetAvailableSpacesRequest`
  `createGetAvailableSpacesRequest()`
  Create an instance of `GetAvailableSpacesRequest`
  `GetAvailableSpacesResponse`
  `createGetAvailableSpacesResponse()`
  Create an instance of `GetAvailableSpacesResponse`
  `GetAvailableWidgetsRequest`
  `createGetAvailableWidgetsRequest()`
  Create an instance of `GetAvailableWidgetsRequest`
  `GetAvailableWidgetsResponse`
  `createGetAvailableWidgetsResponse()`
  Create an instance of `GetAvailableWidgetsResponse`
  `GetContentAssistRequest`
  `createGetContentAssistRequest()`
  Create an instance of `GetContentAssistRequest`
  `GetContentAssistResponse`
  `createGetContentAssistResponse()`
  Create an instance of `GetContentAssistResponse`
  `GetDefaultOfflineSkinRequest`
  `createGetDefaultOfflineSkinRequest()`
  Create an instance of `GetDefaultOfflineSkinRequest`
  `GetDefaultOfflineSkinResponse`
  `createGetDefaultOfflineSkinResponse()`
  Create an instance of `GetDefaultOfflineSkinResponse`
  `GetDefaultWorkspaceChangeRequest`
  `createGetDefaultWorkspaceChangeRequest()`
  Create an instance of `GetDefaultWorkspaceChangeRequest`
  `GetDefaultWorkspaceChangeResponse`
  `createGetDefaultWorkspaceChangeResponse()`
  Create an instance of `GetDefaultWorkspaceChangeResponse`
  `GetDefaultWorkspacesRequest`
  `createGetDefaultWorkspacesRequest()`
  Create an instance of `GetDefaultWorkspacesRequest`
  `GetDefaultWorkspacesResponse`
  `createGetDefaultWorkspacesResponse()`
  Create an instance of `GetDefaultWorkspacesResponse`
  `GetDownloadLocationsRequest`
  `createGetDownloadLocationsRequest()`
  Create an instance of `GetDownloadLocationsRequest`
  `GetDownloadLocationsResponse`
  `createGetDownloadLocationsResponse()`
  Create an instance of `GetDownloadLocationsResponse`
  `GetImportContentSamePropRequest`
  `createGetImportContentSamePropRequest()`
  Create an instance of `GetImportContentSamePropRequest`
  `GetImportContentSamePropResponse`
  `createGetImportContentSamePropResponse()`
  Create an instance of `GetImportContentSamePropResponse`
  `GetImportContentSameRequest`
  `createGetImportContentSameRequest()`
  Create an instance of `GetImportContentSameRequest`
  `GetImportContentSameResponse`
  `createGetImportContentSameResponse()`
  Create an instance of `GetImportContentSameResponse`
  `GetIsWidgetInViewRequest`
  `createGetIsWidgetInViewRequest()`
  Create an instance of `GetIsWidgetInViewRequest`
  `GetIsWidgetInViewResponse`
  `createGetIsWidgetInViewResponse()`
  Create an instance of `GetIsWidgetInViewResponse`
  `GetLastUsedObjectRequest`
  `createGetLastUsedObjectRequest()`
  Create an instance of `GetLastUsedObjectRequest`
  `GetLastUsedObjectResponse`
  `createGetLastUsedObjectResponse()`
  Create an instance of `GetLastUsedObjectResponse`
  `GetLastUsedWorkspaceRequest`
  `createGetLastUsedWorkspaceRequest()`
  Create an instance of `GetLastUsedWorkspaceRequest`
  `GetLastUsedWorkspaceResponse`
  `createGetLastUsedWorkspaceResponse()`
  Create an instance of `GetLastUsedWorkspaceResponse`
  `GetPortalMenuPositionRequest`
  `createGetPortalMenuPositionRequest()`
  Create an instance of `GetPortalMenuPositionRequest`
  `GetPortalMenuPositionResponse`
  `createGetPortalMenuPositionResponse()`
  Create an instance of `GetPortalMenuPositionResponse`
  `GetPortalMenuWidthRequest`
  `createGetPortalMenuWidthRequest()`
  Create an instance of `GetPortalMenuWidthRequest`
  `GetPortalMenuWidthResponse`
  `createGetPortalMenuWidthResponse()`
  Create an instance of `GetPortalMenuWidthResponse`
  `GetPortalRowHeightRequest`
  `createGetPortalRowHeightRequest()`
  Create an instance of `GetPortalRowHeightRequest`
  `GetPortalRowHeightResponse`
  `createGetPortalRowHeightResponse()`
  Create an instance of `GetPortalRowHeightResponse`
  `GetQueryFormIdFromWidgetRequest`
  `createGetQueryFormIdFromWidgetRequest()`
  Create an instance of `GetQueryFormIdFromWidgetRequest`
  `GetQueryFormIdFromWidgetResponse`
  `createGetQueryFormIdFromWidgetResponse()`
  Create an instance of `GetQueryFormIdFromWidgetResponse`
  `GetSkinRequest`
  `createGetSkinRequest()`
  Create an instance of `GetSkinRequest`
  `GetSkinResponse`
  `createGetSkinResponse()`
  Create an instance of `GetSkinResponse`
  `GetSpaceRequest`
  `createGetSpaceRequest()`
  Create an instance of `GetSpaceRequest`
  `GetSpaceResponse`
  `createGetSpaceResponse()`
  Create an instance of `GetSpaceResponse`
  `GetUserClientExperienceRequest`
  `createGetUserClientExperienceRequest()`
  Create an instance of `GetUserClientExperienceRequest`
  `GetUserClientExperienceResponse`
  `createGetUserClientExperienceResponse()`
  Create an instance of `GetUserClientExperienceResponse`
  `GetUserLastSpacesRequest`
  `createGetUserLastSpacesRequest()`
  Create an instance of `GetUserLastSpacesRequest`
  `GetUserLastSpacesResponse`
  `createGetUserLastSpacesResponse()`
  Create an instance of `GetUserLastSpacesResponse`
  `GetWidgetUrlRequest`
  `createGetWidgetUrlRequest()`
  Create an instance of `GetWidgetUrlRequest`
  `GetWidgetUrlResponse`
  `createGetWidgetUrlResponse()`
  Create an instance of `GetWidgetUrlResponse`
  `GetWorkspaceRestoreRequest`
  `createGetWorkspaceRestoreRequest()`
  Create an instance of `GetWorkspaceRestoreRequest`
  `GetWorkspaceRestoreResponse`
  `createGetWorkspaceRestoreResponse()`
  Create an instance of `GetWorkspaceRestoreResponse`
  `SaveUserLastSpacesRequest`
  `createSaveUserLastSpacesRequest()`
  Create an instance of `SaveUserLastSpacesRequest`
  `SaveUserLastSpacesResponse`
  `createSaveUserLastSpacesResponse()`
  Create an instance of `SaveUserLastSpacesResponse`
  `SetDefaultWorkspacesRequest`
  `createSetDefaultWorkspacesRequest()`
  Create an instance of `SetDefaultWorkspacesRequest`
  `SetDefaultWorkspacesResponse`
  `createSetDefaultWorkspacesResponse()`
  Create an instance of `SetDefaultWorkspacesResponse`
  `SetDownloadLocationsRequest`
  `createSetDownloadLocationsRequest()`
  Create an instance of `SetDownloadLocationsRequest`
  `SetDownloadLocationsResponse`
  `createSetDownloadLocationsResponse()`
  Create an instance of `SetDownloadLocationsResponse`
  `SetImportContentSamePropRequest`
  `createSetImportContentSamePropRequest()`
  Create an instance of `SetImportContentSamePropRequest`
  `SetImportContentSamePropResponse`
  `createSetImportContentSamePropResponse()`
  Create an instance of `SetImportContentSamePropResponse`
  `SetImportContentSameRequest`
  `createSetImportContentSameRequest()`
  Create an instance of `SetImportContentSameRequest`
  `SetImportContentSameResponse`
  `createSetImportContentSameResponse()`
  Create an instance of `SetImportContentSameResponse`
  `SetLastUsedObjectRequest`
  `createSetLastUsedObjectRequest()`
  Create an instance of `SetLastUsedObjectRequest`
  `SetLastUsedObjectResponse`
  `createSetLastUsedObjectResponse()`
  Create an instance of `SetLastUsedObjectResponse`
  `SetLastUsedWorkspaceRequest`
  `createSetLastUsedWorkspaceRequest()`
  Create an instance of `SetLastUsedWorkspaceRequest`
  `SetLastUsedWorkspaceResponse`
  `createSetLastUsedWorkspaceResponse()`
  Create an instance of `SetLastUsedWorkspaceResponse`
  `SetPortalMenuPositionRequest`
  `createSetPortalMenuPositionRequest()`
  Create an instance of `SetPortalMenuPositionRequest`
  `SetPortalMenuPositionResponse`
  `createSetPortalMenuPositionResponse()`
  Create an instance of `SetPortalMenuPositionResponse`
  `SetPortalMenuWidthRequest`
  `createSetPortalMenuWidthRequest()`
  Create an instance of `SetPortalMenuWidthRequest`
  `SetPortalMenuWidthResponse`
  `createSetPortalMenuWidthResponse()`
  Create an instance of `SetPortalMenuWidthResponse`
  `SetPortalRowHeightRequest`
  `createSetPortalRowHeightRequest()`
  Create an instance of `SetPortalRowHeightRequest`
  `SetPortalRowHeightResponse`
  `createSetPortalRowHeightResponse()`
  Create an instance of `SetPortalRowHeightResponse`
  `SetUserClientExperienceRequest`
  `createSetUserClientExperienceRequest()`
  Create an instance of `SetUserClientExperienceRequest`
  `SetUserClientExperienceResponse`
  `createSetUserClientExperienceResponse()`
  Create an instance of `SetUserClientExperienceResponse`
  `SetWorkspaceRestoreRequest`
  `createSetWorkspaceRestoreRequest()`
  Create an instance of `SetWorkspaceRestoreRequest`
  `SetWorkspaceRestoreResponse`
  `createSetWorkspaceRestoreResponse()`
  Create an instance of `SetWorkspaceRestoreResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.x3config_service

- ## Method Details

  - ### createGetDefaultOfflineSkinRequest

    public GetDefaultOfflineSkinRequest createGetDefaultOfflineSkinRequest()
    Create an instance of `GetDefaultOfflineSkinRequest`

  - ### createGetDefaultOfflineSkinResponse

    public GetDefaultOfflineSkinResponse createGetDefaultOfflineSkinResponse()
    Create an instance of `GetDefaultOfflineSkinResponse`

  - ### createGetAvailableSpacesRequest

    public GetAvailableSpacesRequest createGetAvailableSpacesRequest()
    Create an instance of `GetAvailableSpacesRequest`

  - ### createGetAvailableSpacesResponse

    public GetAvailableSpacesResponse createGetAvailableSpacesResponse()
    Create an instance of `GetAvailableSpacesResponse`

  - ### createFetchSpaceXmlContentRequest

    public FetchSpaceXmlContentRequest createFetchSpaceXmlContentRequest()
    Create an instance of `FetchSpaceXmlContentRequest`

  - ### createFetchSpaceXmlContentResponse

    public FetchSpaceXmlContentResponse createFetchSpaceXmlContentResponse()
    Create an instance of `FetchSpaceXmlContentResponse`

  - ### createGetUserLastSpacesRequest

    public GetUserLastSpacesRequest createGetUserLastSpacesRequest()
    Create an instance of `GetUserLastSpacesRequest`

  - ### createGetUserLastSpacesResponse

    public GetUserLastSpacesResponse createGetUserLastSpacesResponse()
    Create an instance of `GetUserLastSpacesResponse`

  - ### createSaveUserLastSpacesRequest

    public SaveUserLastSpacesRequest createSaveUserLastSpacesRequest()
    Create an instance of `SaveUserLastSpacesRequest`

  - ### createSaveUserLastSpacesResponse

    public SaveUserLastSpacesResponse createSaveUserLastSpacesResponse()
    Create an instance of `SaveUserLastSpacesResponse`

  - ### createGetAvailableSkinsRequest

    public GetAvailableSkinsRequest createGetAvailableSkinsRequest()
    Create an instance of `GetAvailableSkinsRequest`

  - ### createGetAvailableSkinsResponse

    public GetAvailableSkinsResponse createGetAvailableSkinsResponse()
    Create an instance of `GetAvailableSkinsResponse`

  - ### createGetSkinRequest

    public GetSkinRequest createGetSkinRequest()
    Create an instance of `GetSkinRequest`

  - ### createGetSkinResponse

    public GetSkinResponse createGetSkinResponse()
    Create an instance of `GetSkinResponse`

  - ### createGetAvailableWidgetsRequest

    public GetAvailableWidgetsRequest createGetAvailableWidgetsRequest()
    Create an instance of `GetAvailableWidgetsRequest`

  - ### createGetAvailableWidgetsResponse

    public GetAvailableWidgetsResponse createGetAvailableWidgetsResponse()
    Create an instance of `GetAvailableWidgetsResponse`

  - ### createGetWidgetUrlRequest

    public GetWidgetUrlRequest createGetWidgetUrlRequest()
    Create an instance of `GetWidgetUrlRequest`

  - ### createGetWidgetUrlResponse

    public GetWidgetUrlResponse createGetWidgetUrlResponse()
    Create an instance of `GetWidgetUrlResponse`

  - ### createGetDownloadLocationsRequest

    public GetDownloadLocationsRequest createGetDownloadLocationsRequest()
    Create an instance of `GetDownloadLocationsRequest`

  - ### createGetDownloadLocationsResponse

    public GetDownloadLocationsResponse createGetDownloadLocationsResponse()
    Create an instance of `GetDownloadLocationsResponse`

  - ### createSetDownloadLocationsRequest

    public SetDownloadLocationsRequest createSetDownloadLocationsRequest()
    Create an instance of `SetDownloadLocationsRequest`

  - ### createSetDownloadLocationsResponse

    public SetDownloadLocationsResponse createSetDownloadLocationsResponse()
    Create an instance of `SetDownloadLocationsResponse`

  - ### createGetPortalRowHeightRequest

    public GetPortalRowHeightRequest createGetPortalRowHeightRequest()
    Create an instance of `GetPortalRowHeightRequest`

  - ### createGetPortalRowHeightResponse

    public GetPortalRowHeightResponse createGetPortalRowHeightResponse()
    Create an instance of `GetPortalRowHeightResponse`

  - ### createSetPortalRowHeightRequest

    public SetPortalRowHeightRequest createSetPortalRowHeightRequest()
    Create an instance of `SetPortalRowHeightRequest`

  - ### createSetPortalRowHeightResponse

    public SetPortalRowHeightResponse createSetPortalRowHeightResponse()
    Create an instance of `SetPortalRowHeightResponse`

  - ### createSetUserClientExperienceRequest

    public SetUserClientExperienceRequest createSetUserClientExperienceRequest()
    Create an instance of `SetUserClientExperienceRequest`

  - ### createSetUserClientExperienceResponse

    public SetUserClientExperienceResponse createSetUserClientExperienceResponse()
    Create an instance of `SetUserClientExperienceResponse`

  - ### createGetUserClientExperienceRequest

    public GetUserClientExperienceRequest createGetUserClientExperienceRequest()
    Create an instance of `GetUserClientExperienceRequest`

  - ### createGetUserClientExperienceResponse

    public GetUserClientExperienceResponse createGetUserClientExperienceResponse()
    Create an instance of `GetUserClientExperienceResponse`

  - ### createGetPortalMenuPositionRequest

    public GetPortalMenuPositionRequest createGetPortalMenuPositionRequest()
    Create an instance of `GetPortalMenuPositionRequest`

  - ### createGetPortalMenuPositionResponse

    public GetPortalMenuPositionResponse createGetPortalMenuPositionResponse()
    Create an instance of `GetPortalMenuPositionResponse`

  - ### createSetPortalMenuPositionRequest

    public SetPortalMenuPositionRequest createSetPortalMenuPositionRequest()
    Create an instance of `SetPortalMenuPositionRequest`

  - ### createSetPortalMenuPositionResponse

    public SetPortalMenuPositionResponse createSetPortalMenuPositionResponse()
    Create an instance of `SetPortalMenuPositionResponse`

  - ### createGetPortalMenuWidthRequest

    public GetPortalMenuWidthRequest createGetPortalMenuWidthRequest()
    Create an instance of `GetPortalMenuWidthRequest`

  - ### createGetPortalMenuWidthResponse

    public GetPortalMenuWidthResponse createGetPortalMenuWidthResponse()
    Create an instance of `GetPortalMenuWidthResponse`

  - ### createSetPortalMenuWidthRequest

    public SetPortalMenuWidthRequest createSetPortalMenuWidthRequest()
    Create an instance of `SetPortalMenuWidthRequest`

  - ### createSetPortalMenuWidthResponse

    public SetPortalMenuWidthResponse createSetPortalMenuWidthResponse()
    Create an instance of `SetPortalMenuWidthResponse`

  - ### createGetQueryFormIdFromWidgetRequest

    public GetQueryFormIdFromWidgetRequest createGetQueryFormIdFromWidgetRequest()
    Create an instance of `GetQueryFormIdFromWidgetRequest`

  - ### createGetQueryFormIdFromWidgetResponse

    public GetQueryFormIdFromWidgetResponse createGetQueryFormIdFromWidgetResponse()
    Create an instance of `GetQueryFormIdFromWidgetResponse`

  - ### createGetSpaceRequest

    public GetSpaceRequest createGetSpaceRequest()
    Create an instance of `GetSpaceRequest`

  - ### createGetSpaceResponse

    public GetSpaceResponse createGetSpaceResponse()
    Create an instance of `GetSpaceResponse`

  - ### createGetIsWidgetInViewRequest

    public GetIsWidgetInViewRequest createGetIsWidgetInViewRequest()
    Create an instance of `GetIsWidgetInViewRequest`

  - ### createGetIsWidgetInViewResponse

    public GetIsWidgetInViewResponse createGetIsWidgetInViewResponse()
    Create an instance of `GetIsWidgetInViewResponse`

  - ### createSetDefaultWorkspacesRequest

    public SetDefaultWorkspacesRequest createSetDefaultWorkspacesRequest()
    Create an instance of `SetDefaultWorkspacesRequest`

  - ### createSetDefaultWorkspacesResponse

    public SetDefaultWorkspacesResponse createSetDefaultWorkspacesResponse()
    Create an instance of `SetDefaultWorkspacesResponse`

  - ### createGetDefaultWorkspacesRequest

    public GetDefaultWorkspacesRequest createGetDefaultWorkspacesRequest()
    Create an instance of `GetDefaultWorkspacesRequest`

  - ### createGetDefaultWorkspacesResponse

    public GetDefaultWorkspacesResponse createGetDefaultWorkspacesResponse()
    Create an instance of `GetDefaultWorkspacesResponse`

  - ### createGetDefaultWorkspaceChangeRequest

    public GetDefaultWorkspaceChangeRequest createGetDefaultWorkspaceChangeRequest()
    Create an instance of `GetDefaultWorkspaceChangeRequest`

  - ### createGetDefaultWorkspaceChangeResponse

    public GetDefaultWorkspaceChangeResponse createGetDefaultWorkspaceChangeResponse()
    Create an instance of `GetDefaultWorkspaceChangeResponse`

  - ### createSetWorkspaceRestoreRequest

    public SetWorkspaceRestoreRequest createSetWorkspaceRestoreRequest()
    Create an instance of `SetWorkspaceRestoreRequest`

  - ### createSetWorkspaceRestoreResponse

    public SetWorkspaceRestoreResponse createSetWorkspaceRestoreResponse()
    Create an instance of `SetWorkspaceRestoreResponse`

  - ### createGetWorkspaceRestoreRequest

    public GetWorkspaceRestoreRequest createGetWorkspaceRestoreRequest()
    Create an instance of `GetWorkspaceRestoreRequest`

  - ### createGetWorkspaceRestoreResponse

    public GetWorkspaceRestoreResponse createGetWorkspaceRestoreResponse()
    Create an instance of `GetWorkspaceRestoreResponse`

  - ### createSetImportContentSameRequest

    public SetImportContentSameRequest createSetImportContentSameRequest()
    Create an instance of `SetImportContentSameRequest`

  - ### createSetImportContentSameResponse

    public SetImportContentSameResponse createSetImportContentSameResponse()
    Create an instance of `SetImportContentSameResponse`

  - ### createSetImportContentSamePropRequest

    public SetImportContentSamePropRequest createSetImportContentSamePropRequest()
    Create an instance of `SetImportContentSamePropRequest`

  - ### createSetImportContentSamePropResponse

    public SetImportContentSamePropResponse createSetImportContentSamePropResponse()
    Create an instance of `SetImportContentSamePropResponse`

  - ### createGetImportContentSameRequest

    public GetImportContentSameRequest createGetImportContentSameRequest()
    Create an instance of `GetImportContentSameRequest`

  - ### createGetImportContentSameResponse

    public GetImportContentSameResponse createGetImportContentSameResponse()
    Create an instance of `GetImportContentSameResponse`

  - ### createGetImportContentSamePropRequest

    public GetImportContentSamePropRequest createGetImportContentSamePropRequest()
    Create an instance of `GetImportContentSamePropRequest`

  - ### createGetImportContentSamePropResponse

    public GetImportContentSamePropResponse createGetImportContentSamePropResponse()
    Create an instance of `GetImportContentSamePropResponse`

  - ### createGetLastUsedWorkspaceRequest

    public GetLastUsedWorkspaceRequest createGetLastUsedWorkspaceRequest()
    Create an instance of `GetLastUsedWorkspaceRequest`

  - ### createGetLastUsedWorkspaceResponse

    public GetLastUsedWorkspaceResponse createGetLastUsedWorkspaceResponse()
    Create an instance of `GetLastUsedWorkspaceResponse`

  - ### createSetLastUsedWorkspaceRequest

    public SetLastUsedWorkspaceRequest createSetLastUsedWorkspaceRequest()
    Create an instance of `SetLastUsedWorkspaceRequest`

  - ### createSetLastUsedWorkspaceResponse

    public SetLastUsedWorkspaceResponse createSetLastUsedWorkspaceResponse()
    Create an instance of `SetLastUsedWorkspaceResponse`

  - ### createGetLastUsedObjectRequest

    public GetLastUsedObjectRequest createGetLastUsedObjectRequest()
    Create an instance of `GetLastUsedObjectRequest`

  - ### createGetLastUsedObjectResponse

    public GetLastUsedObjectResponse createGetLastUsedObjectResponse()
    Create an instance of `GetLastUsedObjectResponse`

  - ### createSetLastUsedObjectRequest

    public SetLastUsedObjectRequest createSetLastUsedObjectRequest()
    Create an instance of `SetLastUsedObjectRequest`

  - ### createSetLastUsedObjectResponse

    public SetLastUsedObjectResponse createSetLastUsedObjectResponse()
    Create an instance of `SetLastUsedObjectResponse`

  - ### createGetContentAssistRequest

    public GetContentAssistRequest createGetContentAssistRequest()
    Create an instance of `GetContentAssistRequest`

  - ### createGetContentAssistResponse

    public GetContentAssistResponse createGetContentAssistResponse()
    Create an instance of `GetContentAssistResponse`